#
# Conditional build:
%bcond_without	systemd		# systemd integration
#
Summary:	The userspace connection tracking table administration program
Summary(pl.UTF-8):	Program przestrzeni użytkownika do zarządzania tablicą śledzenia połączeń
Name:		conntrack-tools
Version:	1.4.5
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	https://netfilter.org/projects/conntrack-tools/files/%{name}-%{version}.tar.bz2
# Source0-md5:	9356a0cd4df81a597ac26d87ccfebac4
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
URL:		http://conntrack-tools.netfilter.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	bison
BuildRequires:	flex >= 2.5.33
BuildRequires:	libmnl-devel >= 1.0.3
BuildRequires:	libnetfilter_conntrack-devel >= 1.0.7
BuildRequires:	libnetfilter_cthelper-devel >= 1.0.0
BuildRequires:	libnetfilter_cttimeout-devel >= 1.0.0
BuildRequires:	libnetfilter_queue-devel >= 1.0.2
BuildRequires:	libnfnetlink-devel >= 1.0.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
%{?with_systemd:BuildRequires:	systemd-devel >= 1:227}
Requires(post,preun):	/sbin/chkconfig
Requires:	libmnl >= 1.0.3
Requires:	libnetfilter_conntrack >= 1.0.7
Requires:	libnetfilter_cthelper >= 1.0.0
Requires:	libnetfilter_cttimeout >= 1.0.0
Requires:	libnetfilter_queue >= 1.0.2
Requires:	libnfnetlink >= 1.0.1
%{?with_systemd:Requires:	systemd-libs >= 1:227}
Obsoletes:	conntrack
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The conntrack-tools are a set of tools targeted at system
administrators. They are conntrack, the userspace command line
interface, and conntrackd, the userspace daemon. The tool conntrack
provides a full featured interface that is intended to replace the old
/proc/net/ip_conntrack interface. Using conntrack, you can view and
manage the in-kernel connection tracking state table from userspace.
On the other hand, conntrackd covers the specific aspects of stateful
firewalls to enable highly available scenarios, and can be used as
statistics collector as well.

%description -l pl.UTF-8
conntrack-tools to zbiór narzędzi przeznaczonych dla administratorów
systemów. Są to conntrack (interfejs przestrzeni użytkownika
obsługiwany z linii poleceń) i conntrackd (demon przestrzeni
użytkownika). Narzędzie conntrack udostępnia pełny interfejs mający za
zadanie zastąpić stary interfejs /proc/net/ip_conntrack. Przy użyciu
conntracka można oglądać i zarządzać z przestrzeni użytkownika tablicą
stanów śledzienia połączeń w jądrze. Z drugiej strony conntrackd
pokrywa specyficzne aspekty firewalli stanowych udostępniając
scenariusze wysokiej dostępności; może także służyć do zbierania
statystyk.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/conntrackd
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/conntrackd
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/conntrackd/conntrackd.conf

# dlopened modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/conntrack-tools/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add conntrackd
%service conntrackd restart

%preun
if [ "$1" = "0" ]; then
	%service -q conntrackd stop
	/sbin/chkconfig --del conntrackd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO doc/helper doc/stats doc/sync
%attr(755,root,root) %{_sbindir}/conntrack
%attr(755,root,root) %{_sbindir}/conntrackd
%attr(755,root,root) %{_sbindir}/nfct
%dir %{_libdir}/conntrack-tools
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_amanda.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_dhcpv6.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_ftp.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_mdns.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_rpc.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_sane.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_ssdp.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_tftp.so
%attr(755,root,root) %{_libdir}/conntrack-tools/ct_helper_tns.so
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conntrackd/conntrackd.conf
%attr(754,root,root) /etc/rc.d/init.d/conntrackd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/conntrackd
%{_mandir}/man5/conntrackd.conf.5*
%{_mandir}/man8/conntrack.8*
%{_mandir}/man8/conntrackd.8*
%{_mandir}/man8/nfct.8*
%changelog
* Thu Jul 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conntrack-tools.git;a=log;h=master

* Thu Jul 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 62f146f
- updated to 1.4.5, enable systemd by default

* Fri Sep 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 9f01b66
- updated to 1.4.4
- removed obsolete patches

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 0399f74
- updated to 1.4.3

* Wed Jul 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 3983b66
- updated config file to match current options
- release 2

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 272090d
- updated to 1.4.2

* Thu Mar 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d009cf
- it actually requires libnetfilter_conntrack 1.0.3 (IPCTNL_MSG_CT_GET_DYING and IPCTNL_MSG_CT_GET_UNCONFIRMED)

* Wed Mar 06 2013 Tomasz Pala <gotar@pld-linux.org> 4a05afd
- upgraded to 1.4.1, fixed R: libnetfilter_queue (not -devel), packaged example configs as %doc

* Wed Mar 06 2013 Tomasz Pala <gotar@pld-linux.org> bc34b4b
- full path to daemon

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> e5ebcca
- added try-restart action

* Wed Oct 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 9c3d092
- updated to 1.4.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 727b2d4
- updated to 1.2.2

* Wed May 30 2012 Jakub Bogusz <qboosh@pld-linux.org> d24792f
- updated to 1.2.1
- removed obsolete timeout patch

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fd1089a
- updated to 1.2.0
- added include patch (missing include for NULL)
- added timeout patch (fixes nfct build with released version of libnetfilter_cttimeout)

* Tue Jan 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b9814f
- release 2

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> cfee130
- updated libnetfilter_conntrack version
- disable silent-rules
- __KERNEL_STRICT_NAMES hack seems no longer needed

* Fri Jan 06 2012 Adam Gołębiowski <adamg@pld-linux.org> 69a3db3
- updated to 1.0.1

* Tue Mar 22 2011 Jan Rękorajski <baggins@pld-linux.org> d8baee2
- WARNING: -S option is obsolete. Ignoring.

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 24798f9
- updated to 1.0.0
- updated URL

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> e6a784b
- updated runtime libnetfilter_conntrack dep

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> daac011
- up to 0.9.15

